Bug 60038 - [osmesa] [git] building 32-bit mesa on 64 bit fails
[osmesa] [git] building 32-bit mesa on 64 bit fails
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Other
git
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: Matt Turner
http://lists.freedesktop.org/archives...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 21:11 UTC by LoneVVolf
Modified: 2013-02-04 17:33 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
build log (67.94 KB, text/plain)
2013-01-29 21:11 UTC, LoneVVolf
Details
test patch for building 32-bit on 64-bit [glsl] (1.83 KB, patch)
2013-02-02 13:17 UTC, LoneVVolf
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description LoneVVolf 2013-01-29 21:11:08 UTC
Created attachment 73873 [details]
build log

builds fails with messages like :
/usr/bin/ld: i386:x86-64 architecture of input file `../../../../src/mesa/.libs/libmesa.a(ast_expr.o)' is incompatible with i386 output

The workarounds mentioned bug 50754, 59332 & 59737 don't help.

i've attached the build log, 
configure flags / commands :

  export CC="gcc -m32"
  export CXX="g++ -m32"
  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
  # for our llvm-config for 32 bit
  export LLVM_CONFIG=/usr/bin/llvm-config32
  ./autogen.sh \
    --prefix=/usr \
    --sysconfdir=/etc \
    --with-dri-driverdir=/usr/lib32/xorg/modules/dri \
    --enable-gallium-llvm \
    --enable-egl \
    --enable-gallium-egl \
    --with-egl-platforms=x11,drm \
    --enable-shared-glapi \
    --enable-gbm \
    --enable-glx-tls \
    --enable-dri \
    --enable-glx \
    --enable-gles1 \
    --enable-gles2 \
    --enable-texture-float \
    --enable-xa \
    --enable-vdpau \
    --enable-gallium-gbm \
    --enable-xvmc \
    --enable-xorg \
    --enable-32-bit \
    --libdir=/usr/lib32 \
    --with-gallium-drivers=r300,r600,radeonsi,swrast \
    --with-dri-drivers=swrast \
    --enable-osmesa \
    --enable-r600-llvm-compiler \
Comment 1 LoneVVolf 2013-01-29 22:34:44 UTC
Additional Info :
Build worked fine on januari 21 with same flags, cause must be later commits.
Comment 2 Thomas Rohloff 2013-01-30 07:23:26 UTC
I bisected this for you. The bad commit is: http://cgit.freedesktop.org/mesa/mesa/commit/?id=0d108116bd80b757fb01a84a9f1946ef870b57b8

Next time please bisect for yourself.
Comment 3 Matt Turner 2013-01-30 20:41:30 UTC
Patch sent. (You don't need to CC yourself on bug reports you filed.)
Comment 4 Matt Turner 2013-02-01 22:57:23 UTC
(In reply to comment #3)
> Patch sent. (You don't need to CC yourself on bug reports you filed.)

... Anyone able to test the patch?
Comment 5 LoneVVolf 2013-02-02 13:15:46 UTC
Matt, 
the patch you send http://lists.freedesktop.org/archives/mesa-dev/2013-January/033797.html could not be applied on my system.
(patch -p1 failed and put all changes in a reject file).

I've tried to make the changes manually and created the attached glslBuild32bitON64bit.patch file.


Building with that patch gives libtool errors :
make[4]: Entering directory `/home/panoramix/Documents/WIP/pkgbuilds/lib32-mesa-r300-r600-radeonsi-git/src/mesa-build/src/glsl/builtin_compiler'
  CXX      glsl_parser.lo
  CXX      glsl_lexer.lo
  CXX      ast_function.lo
  CXX      ast_to_hir.lo
  CXX      ast_type.lo
  CXX      builtin_variables.lo
  CXX      ast_expr.lo
  CXX      glsl_parser_extras.lo
  CXX      glsl_types.lo
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [glsl_parser.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [ast_function.lo] Error 1
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [ast_to_hir.lo] Error 1
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [glsl_parser_extras.lo] Error 1
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [glsl_lexer.lo] Error 1
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [glsl_types.lo] Error 1
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [ast_type.lo] Error 1
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [ast_expr.lo] Error 1
libtool: compile: unrecognized option `-DPACKAGE_NAME="Mesa"'
libtool: compile: Try `libtool --help' for more information.
make[4]: *** [builtin_variables.lo] Error 1
make[4]: Leaving directory `/home/panoramix/Documents/WIP/pkgbuilds/lib32-mesa-r300-r600-radeonsi-git/src/mesa-build/src/glsl/builtin_compiler'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/panoramix/Documents/WIP/pkgbuilds/lib32-mesa-r300-r600-radeonsi-git/src/mesa-build/src/glsl'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/panoramix/Documents/WIP/pkgbuilds/lib32-mesa-r300-r600-radeonsi-git/src/mesa-build/src/glsl'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/panoramix/Documents/WIP/pkgbuilds/lib32-mesa-r300-r600-radeonsi-git/src/mesa-build/src'
make: *** [all-recursive] Error 1
==> ERROR: A failure occurred in build().
    Aborting...
Comment 6 LoneVVolf 2013-02-02 13:17:38 UTC
Created attachment 74086 [details] [review]
test patch for building 32-bit on 64-bit [glsl]
Comment 7 Matt Turner 2013-02-04 17:33:27 UTC
Committed.